.decoration-destructive {
  text-decoration-color: #dc2626;
}
@media (max-width: 767px) {
  .hide-mobile {
    display: none !important;
  }
}

@media (min-width: 768px) {
  .show-desktop {
    display: block !important;
  }
}

.bg-orange-700 {
  --tw-bg-opacity: 1;
  background-color: rgb(132 130 129);
}
.bg-secondary {
  background-color: var(--warna_1);
}
.text-foreground {
  color: #ebeaef;
}
.bg-murky-600 {
  --tw-bg-opacity: 1;
  background-color: var(--warna_1);
}
.bg-murky-300 {
  --tw-bg-opacity: 1;
  background-color: #ebeaef80;
}

.rounded-xl {
  border-radius: 0.75rem;
}

.product-list {
  min-height: 10px;
  border-radius: 0.75rem;
  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1),
    0 2px 4px -1px rgba(0, 0, 0, 0.06);
}

.product-list:active {
  --tw-ring-offset-color: #34373b;
  --tw-ring-offset-width: 2px;
  --tw-ring-opacity: 1;
  --tw-ring-color: var(--warna_3);
  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0
    var(--tw-ring-offset-width) var(--warna_1);
  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0
    calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);
  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow),
    var(--tw-shadow, 0 0 #0000);
}

.product-list.active {
  background: #fff !important;
  box-shadow: 0px 0px 10px rgba(255, 255, 255, 0.5),
    var(--tw-ring-offset-shadow), var(--tw-ring-shadow),
    var(--tw-shadow, 0 0 #0000);
  transition: box-shadow 0.2s ease;
}

.product-list.active .btn-order {
  box-shadow: 0px 0px 20px rgba(220, 220, 220, 0.4);
}

.bg-product {
  background: #c3c9cc;
}

.product-list img {
  display: flex;
  float: right;
  margin-top: 0px;
}
.productlogo {
  width: 32px;
  right: 5%;
}

.rounded-b-md {
  border-bottom-left-radius: 13px;
  border-bottom-right-radius: 13px;
}
.border-murky-500 {
  --tw-border-opacity: 1;
  border-color: rgb(255 255 255);
}
.border-dashed {
  border-style: dashed;
}
.border-t {
  border-top-width: 1px;
}
.divider {
  border-top: 3px solid #fff;
  margin: 10px 0;
  width: 5%;
}
.swal2-popup {
  display: none;
  position: relative;
  box-sizing: border-box;
  grid-template-columns: minmax(0, 100%);
  width: 25em;
  max-width: 100%;
  padding: 10px;
  border: none;
  border-radius: 10px;
  background: #333333eb;
  color: #dfdede !important;
  font-family: inherit;
  font-size: 1rem;
}

.hover\:bg-orange-400:hover,
.hover\:bg-primary-400:hover {
  --tw-bg-opacity: 1;
  background-color: #ebeaef29;
}

.load {
  background: rgba(31, 33, 46, 0.5);
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 10000;
  background-repeat: no-repeat;
  background-size: 40px;
  background-position: center;
  display: none;
}
.load.show {
  display: block;
  background-image: url(/assets/image/loading-order.gif);
}

.swal2-popup {
  display: none;
  position: relative;
  box-sizing: border-box;
  grid-template-columns: minmax(0, 100%);
  width: 25em;
  max-width: 100%;
  padding: 10px;
  border: none;
  border-radius: 10px;
  background: #1e2022eb;
  color: #dfdede !important;
  font-family: inherit;
  font-size: 1rem;
}

@keyframes slideIn {
  0% {
    transform: translateY(-100%);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

#react-notif {
  position: fixed;
  z-index: 9999;
  top: 16px;
  right: 16px;
  pointer-events: none;
  max-width: 300px;
}

.toast {
  padding: 16px;
  color: #fff;
  background-color: rgba(244, 63, 94, 0.8);
  position: relative;
  margin-bottom: 16px;
  border-radius: 8px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  animation: slideIn 0.3s ease forwards;
  opacity: 0;
}

.toast:last-child {
  transform: translateY(0);
}

.toast-icon {
  padding: 8px;
  border-radius: 50%;
  background-color: #fff;
  margin-right: 8px;
}

.toast-message {
  flex: 1;
}
.toast-close {
  cursor: pointer;
}

.toast.success {
  background-color: rgba(34, 197, 94, 0.8);
}

.text-warning {
  color: #eab308;
}
.text-info {
  color: #0ea5e9;
}
.text-success {
  color: #22c55e;
}

.bg-background {
  background-color: var(--warna_1);
}

.bg-primary-5400 {
  --tw-bg-opacity: 1;
  background-color: var(--warna_3);
}
.to-primary-600 {
  --tw-gradient-to: #022c56 var(--tw-gradient-to-position);
}
.from-primary-400 {
  --tw-gradient-from: var(--warna_1) var(--tw-gradient-from-position);
  --tw-gradient-to: rgba(251, 138, 60, 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to);
}
.ring-offset-murky-800 {
  --tw-ring-offset-color: var(--warna_1);
}
.ring-offset-2 {
  --tw-ring-offset-width: 2px;
}
.ring-primary-500 {
  --tw-ring-opacity: 1;
  --tw-ring-color: var(--warna_3);
}
.ring-2 {
  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0
    var(--tw-ring-offset-width) var(--warna_1);
  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0
    calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);
  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow),
    var(--tw-shadow, 0 0 #0000);
}

.text-sm\/6 {
  font-size: 0.875rem;
  line-height: 1.5rem;
}
.text-besar {
  font-size: 50px;

  font-weight: bold;
}
.rating-list {
  list-style: none;
  padding: 0;
  margin: 0;
}

.rating-item {
  display: flex;
  align-items: center;
}

.rating {
  display: flex;
  align-items: center;
}

.stars {
  display: flex;
  align-items: center;
  gap: 5px;
  font-weight: bold;
  color: #333;
}

.star {
  color: #ffc107;
  width: 20px;
}

.count {
  min-width: 50px;
  text-align: right;
}

.backdrop-blur-sm {
  --tw-backdrop-blur: blur(4px);
}
.backdrop-blur,
.backdrop-blur-sm {
  -webkit-backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness)
    var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale)
    var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert)
    var(--tw-backdrop-opacity) var(--tw-backdrop-saturate)
    var(--tw-backdrop-sepia);
  backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness)
    var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale)
    var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert)
    var(--tw-backdrop-opacity) var(--tw-backdrop-saturate)
    var(--tw-backdrop-sepia);
}
.py-3 {
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
}
.px-6 {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}
.bg-black\/30 {
  background-color: rgba(0, 0, 0, 0.3);
}
.bottom-0 {
  bottom: 0;
}
.inset-x-0 {
  left: 0;
  right: 0;
}
.absolute {
  position: absolute;
}
.gap-x-4 {
  -moz-column-gap: 1rem;
  column-gap: 1rem;
}

.rounded-xl {
  border-radius: 0.75rem;
}
.overflow-hidden {
  overflow: hidden;
}
.flex-shrink-0,
.shrink-0 {
  flex-shrink: 0;
}
.w-16 {
  width: 4rem;
}
.aspect-square {
  aspect-ratio: 1 / 1;
}
.relative {
  position: relative;
}
.gap-x-3 {
  -moz-column-gap: 0.75rem;
  column-gap: 0.75rem;
}

.bg-alternativeGray {
  --tw-bg-opacity: 1;
  background-color: rgb(62 62 62 / var(--tw-bg-opacity));
}

.rounded-full {
  border-radius: 9999px;
}
.gap-x-1 {
  -moz-column-gap: 0.25rem;
  column-gap: 0.25rem;
}
.clip-path-number {
  -webkit-clip-path: polygon(
    0 11.94%,
    0 11.94%,
    0.105% 10.004%,
    0.408% 8.166%,
    0.893% 6.453%,
    1.544% 4.889%,
    2.343% 3.497%,
    3.275% 2.304%,
    4.324% 1.333%,
    5.471% 0.609%,
    6.702% 0.156%,
    8% 0,
    91.233% 0,
    91.233% 0,
    92.869% 0.246%,
    94.374% 0.946%,
    95.722% 2.047%,
    96.889% 3.492%,
    97.849% 5.227%,
    98.577% 7.198%,
    99.048% 9.348%,
    99.238% 11.624%,
    99.121% 13.97%,
    98.672% 16.332%,
    78.5% 92.451%,
    78.5% 92.451%,
    78.087% 93.77%,
    77.578% 94.986%,
    76.982% 96.091%,
    76.306% 97.077%,
    75.559% 97.934%,
    74.75% 98.655%,
    73.887% 99.231%,
    72.979% 99.652%,
    72.035% 99.912%,
    71.061% 100%,
    8% 100%,
    8% 100%,
    6.702% 99.844%,
    5.471% 99.391%,
    4.324% 98.667%,
    3.275% 97.696%,
    2.343% 96.503%,
    1.544% 95.112%,
    0.893% 93.547%,
    0.408% 91.834%,
    0.105% 89.996%,
    0 88.06%,
    0 11.94%
  );
  clip-path: polygon(
    0 11.94%,
    0 11.94%,
    0.105% 10.004%,
    0.408% 8.166%,
    0.893% 6.453%,
    1.544% 4.889%,
    2.343% 3.497%,
    3.275% 2.304%,
    4.324% 1.333%,
    5.471% 0.609%,
    6.702% 0.156%,
    8% 0,
    91.233% 0,
    91.233% 0,
    92.869% 0.246%,
    94.374% 0.946%,
    95.722% 2.047%,
    96.889% 3.492%,
    97.849% 5.227%,
    98.577% 7.198%,
    99.048% 9.348%,
    99.238% 11.624%,
    99.121% 13.97%,
    98.672% 16.332%,
    78.5% 92.451%,
    78.5% 92.451%,
    78.087% 93.77%,
    77.578% 94.986%,
    76.982% 96.091%,
    76.306% 97.077%,
    75.559% 97.934%,
    74.75% 98.655%,
    73.887% 99.231%,
    72.979% 99.652%,
    72.035% 99.912%,
    71.061% 100%,
    8% 100%,
    8% 100%,
    6.702% 99.844%,
    5.471% 99.391%,
    4.324% 98.667%,
    3.275% 97.696%,
    2.343% 96.503%,
    1.544% 95.112%,
    0.893% 93.547%,
    0.408% 91.834%,
    0.105% 89.996%,
    0 88.06%,
    0 11.94%
  );
}

.swal2-confirm {
  background-color: #4caf50;
  color: white;
  border: none;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  border-radius: 5px;
}

.swal2-cancel {
  background-color: #f44336;
  color: white;
  border: none;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  border-radius: 5px;
}

.swal2-confirm:hover {
  background-color: #45a049;
}

.swal2-cancel:hover {
  background-color: #e41f1f;
}
